# Uses of Interface
org.apache.cxf.feature.Feature

Packages that use Feature
Package
Description
org.apache.cxf
org.apache.cxf.bus.extension
org.apache.cxf.bus.spring
org.apache.cxf.databinding.stax
org.apache.cxf.endpoint
org.apache.cxf.feature
org.apache.cxf.feature.transform
org.apache.cxf.feature.validation
org.apache.cxf.interceptor
org.apache.cxf.interceptor.security
org.apache.cxf.transport.common.gzip
org.apache.cxf.validation
org.apache.cxf.ws.addressing

- ## Uses of Feature in org.apache.cxf

  Methods in org.apache.cxf that return types with arguments of type Feature
  Modifier and Type
  Method
  Description
  `Collection<Feature>`
  Bus.`getFeatures()`
  Method parameters in org.apache.cxf with type arguments of type Feature
  Modifier and Type
  Method
  Description
  `void`
  Bus.`setFeatures(Collection<? extends Feature> features)`

- ## Uses of Feature in org.apache.cxf.bus.extension

  Methods in org.apache.cxf.bus.extension that return types with arguments of type Feature
  Modifier and Type
  Method
  Description
  `Collection<Feature>`
  ExtensionManagerBus.`getFeatures()`
  Method parameters in org.apache.cxf.bus.extension with type arguments of type Feature
  Modifier and Type
  Method
  Description
  `void`
  ExtensionManagerBus.`setFeatures(Collection<? extends Feature> features)`

- ## Uses of Feature in org.apache.cxf.bus.spring

  Methods in org.apache.cxf.bus.spring that return types with arguments of type Feature
  Modifier and Type
  Method
  Description
  `Collection<Feature>`
  BusDefinitionParser.BusConfig.`getFeatures()`
  Method parameters in org.apache.cxf.bus.spring with type arguments of type Feature
  Modifier and Type
  Method
  Description
  `void`
  BusDefinitionParser.BusConfig.`setFeatures(Collection<? extends Feature> features)`

- ## Uses of Feature in org.apache.cxf.databinding.stax

  Classes in org.apache.cxf.databinding.stax that implement Feature
  Modifier and Type
  Class
  Description
  `class`
  `StaxDataBindingFeature`
  `static class`
  `StaxDataBindingFeature.Portable`

- ## Uses of Feature in org.apache.cxf.endpoint

  Fields in org.apache.cxf.endpoint with type parameters of type Feature
  Modifier and Type
  Field
  Description
  `protected List<Feature>`
  AbstractEndpointFactory.`features`
  Methods in org.apache.cxf.endpoint that return types with arguments of type Feature
  Modifier and Type
  Method
  Description
  `List<Feature>`
  Endpoint.`getActiveFeatures()`
  `List<Feature>`
  EndpointImpl.`getActiveFeatures()`
  `List<Feature>`
  AbstractEndpointFactory.`getFeatures()`
  Method parameters in org.apache.cxf.endpoint with type arguments of type Feature
  Modifier and Type
  Method
  Description
  `void`
  EndpointImpl.`initializeActiveFeatures(List<? extends Feature> features)`
  `void`
  AbstractEndpointFactory.`setFeatures(List<? extends Feature> features2)`

- ## Uses of Feature in org.apache.cxf.feature

  Subinterfaces of Feature in org.apache.cxf.feature
  Modifier and Type
  Interface
  Description
  `interface`
  `AbstractPortableFeature`
  A portable - i.e. for jaxws and jaxrs - Feature is something that is able to customize a Server, Client, or Bus, typically adding capabilities.
  Classes in org.apache.cxf.feature that implement Feature
  Modifier and Type
  Class
  Description
  `class`
  `AbstractFeature`
  A Feature is something that is able to customize a Server, Client, or Bus, typically adding capabilities.
  `class`
  `DelegatingFeature<T extends AbstractPortableFeature>`
  Enable to convert a `AbstractPortableFeature` to a `AbstractFeature`.
  `class`
  `FastInfosetFeature`
  <!
  `static class`
  `FastInfosetFeature.Portable`
  `class`
  `LoggingFeature`
  Deprecated.
  use the logging module rt/features/logging instead
  `static class`
  `LoggingFeature.Portable`
  Deprecated.
  `class`
  `StaxTransformFeature`
  <!
  `static class`
  `StaxTransformFeature.Portable`
  `class`
  `WrappedFeature`
  A Feature is something that is able to customize a Server, Client, or Bus, typically adding capabilities.
  Method parameters in org.apache.cxf.feature with type arguments of type Feature
  Modifier and Type
  Method
  Description
  `static <T> T`
  AbstractFeature.`getActive(List<? extends Feature> features, Class<T> type)`
  `static <T> T`
  AbstractPortableFeature.`getActive(List<? extends Feature> features, Class<T> type)`
  Convenience method to extract a feature by type from an active list.
  Constructors in org.apache.cxf.feature with parameters of type Feature
  Modifier
  Constructor
  Description
  ``
  `WrappedFeature(Feature f)`

- ## Uses of Feature in org.apache.cxf.feature.transform

  Classes in org.apache.cxf.feature.transform that implement Feature
  Modifier and Type
  Class
  Description
  `class`
  `XSLTFeature`
  This class defines a feature is used to transform message using XSLT script.
  `static class`
  `XSLTFeature.Portable`

- ## Uses of Feature in org.apache.cxf.feature.validation

  Classes in org.apache.cxf.feature.validation that implement Feature
  Modifier and Type
  Class
  Description
  `class`
  `SchemaValidationFeature`
  A feature to configure schema validation at the operation level, as an alternative to using the @SchemaValidation annotation.
  `static class`
  `SchemaValidationFeature.Portable`

- ## Uses of Feature in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return types with arguments of type Feature
  Modifier and Type
  Method
  Description
  `List<Feature>`
  AnnotationInterceptors.`getFeatures()`

- ## Uses of Feature in org.apache.cxf.interceptor.security

  Classes in org.apache.cxf.interceptor.security that implement Feature
  Modifier and Type
  Class
  Description
  `class`
  `JAASAuthenticationFeature`
  Feature to do JAAS authentication with defaults for karaf integration
  `static class`
  `JAASAuthenticationFeature.Portable`

- ## Uses of Feature in org.apache.cxf.transport.common.gzip

  Classes in org.apache.cxf.transport.common.gzip that implement Feature
  Modifier and Type
  Class
  Description
  `class`
  `GZIPFeature`
  This class is used to control GZIP compression of messages.
  `static class`
  `GZIPFeature.Portable`

- ## Uses of Feature in org.apache.cxf.validation

  Classes in org.apache.cxf.validation that implement Feature
  Modifier and Type
  Class
  Description
  `class`
  `BeanValidationFeature`
  `static class`
  `BeanValidationFeature.Portable`
  `class`
  `ClientBeanValidationFeature`
  `static class`
  `ClientBeanValidationFeature.Portable`

- ## Uses of Feature in org.apache.cxf.ws.addressing

  Classes in org.apache.cxf.ws.addressing that implement Feature
  Modifier and Type
  Class
  Description
  `class`
  `WSAddressingFeature`